Package lastfm :: Module objectcache :: Class ObjectCache

[hide private]
[frames] | no frames]

# Class ObjectCache

source code

    object --+
             |
            ObjectCache

The registry to contain all the entities

Nested Classes | [hide private]

| c A class for representing the weekly track charts

Instance Methods | [hide private]

__getitem__(self, name) | source code

__repr__(self) repr(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| keys = ``[``'``Album``'``,` `'``Artist``'``,` `'``Event``'``,` `'``Location``'``,` `'``Country``'``,` `'``Gr``...``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

Class Variable Details | [hide private]

### keys

Value:

      ['Album',
       'Artist',
       'Event',
       'Location',
       'Country',
       'Group',
       'Playlist',
       'Tag',
      ...